# eoBitGxOver< Chrom > Class Template Reference
[Bitstring]

eoBitGxOver --> Npts crossover when bistd::string considered as a std::string of binary-encoded genes (exchanges genes) Is anybody still using it apart from historians ??? :-) More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoBitGxOver< Chrom >:

List of all members.

## Public Member Functions

| eoBitGxOver (const unsigned _gene_size, const unsigned _num_points=2)
| Constructor.
virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom1, Chrom &chrom2)
| Gene crossover for binary chromosomes.

## Private Attributes

unsigned | gene_size
unsigned | num_points

## Detailed Description

### template<class Chrom>
class eoBitGxOver< Chrom >

eoBitGxOver --> Npts crossover when bistd::string considered as a std::string of binary-encoded genes (exchanges genes) Is anybody still using it apart from historians ??? :-)

Definition at line 388 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoBitGxOver< Chrom >::operator() | ( | Chrom & | chrom1,
|  | Chrom & | chrom2
| ) | `[inline, virtual]`

Gene crossover for binary chromosomes.

Parameters:

  | chrom1 | The first chromosome.
  | chrom2 | The first chromosome.

Implements eoBF< Chrom &, Chrom &, bool >.

Definition at line 409 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h